## network-runner 0.2.2

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance.

sphinx>=1.6.2 # BSD

=== debian/changelog ===
network-runner (0.2.2-2) sid; urgency=medium

  * Source-only upload to allow testing migration.
  * d/control:
    - Changing Vcs path.
    - Updating Standards-Version.
    - Adding Multi-Arch foreign.
  * d/changelog: Fixing typo in version 0.2.2-1.
  * d/copyright: Removing superfluous file.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 13 Feb 2022 12:28:59 +0100

network-runner (0.2.2-1) sid; urgency=medium

  * Initial release (Closes: #951064).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 28 Nov 2020 08:57:48 +0100

=== debian/control ===
Source: network-runner
Section: net
Priority: optional
Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/ansible-network/network-runner
Vcs-Browser: https://salsa.debian.org/saki/network-runner
Vcs-Git: https://salsa.debian.org/saki/network-runner.git

Package: python-network-runner-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: abstraction of Ansible for interaction with networking devices (docs)
 Network-Runner is a python library that abstracts management and interaction
 with switching hardware to Ansible Networking. In theory it should work with
 any switch that has compatible modules included with Ansible Networking if
 the provider tasks are added to this librarys Ansible role.
 .
 This package provides the Sphinx generated documentation for Network-Runner.

Package: python3-network-runner
Architecture: all
Depends:
 python3-ansible-runner,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-network-runner-doc,
Description: abstraction of Ansible for interaction with networking devices (Python 3.x)
 Network-Runner is a python library that abstracts management and interaction
 with switching hardware to Ansible Networking. In theory it should work with
 any switch that has compatible modules included with Ansible Networking if
 the provider tasks are added to this librarys Ansible role.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=network-runner

%:
	dh ${@} --buildsystem=pybuild --with python3,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python-$(PYBUILD_NAME)/usr/lib/python/dist-packages PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif

## network-runner 0.3.6

=== requirements.txt ===
six
ansible
ansible-runner
paramiko

=== debian/changelog ===
network-runner (0.3.6-3) unstable; urgency=medium

  * Adding d/gbp.conf file.
  * d/control:
    - Updating Standards-Version.
    - Modernizing dh-python invocation.
  * d/copyright: Updating years.
  * Adding d/watch file.
  * d/rules: Improve dh_sphinxdoc override.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 03 Apr 2025 14:52:08 +0200

network-runner (0.3.6-2) unstable; urgency=medium

  * d/control: Updating Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Fri, 06 Jan 2023 20:29:23 +0100

network-runner (0.3.6-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 0.3.6.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 13 Nov 2022 17:48:17 +0100

network-runner (0.2.2-3) unstable; urgency=medium

  * d/control: Updating Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 27 Jun 2022 20:18:19 +0200

network-runner (0.2.2-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.
  * d/control:
    - Changing Vcs path.
    - Updating Standards-Version.
    - Adding Multi-Arch foreign.
  * d/changelog: Fixing typo in version 0.2.2-1.
  * d/copyright: Removing superfluous file.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 13 Feb 2022 12:28:59 +0100

network-runner (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #951064).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 28 Nov 2020 08:57:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3,
  python3-setuptools,
  python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/ansible-network/network-runner
 Vcs-Browser: https://salsa.debian.org/saki/network-runner
 Vcs-Git: https://salsa.debian.org/saki/network-runner.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=network-runner

%:
	dh ${@} --buildsystem=pybuild --with sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
https://pypi.debian.net/network-runner/network-runner-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
